## visad.matrix
Class JamaSingularValueDecomposition

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Tuple
                  visad.matrix.JamaSingularValueDecomposition

All Implemented Interfaces:
  Cloneable, Data, Serializable, Thing, TupleIface

public class JamaSingularValueDecomposition
extends Tuple

JamaSingularValueDecomposition is a VisAD wrapper for JAMA SingularValueDecompositions. This class requires the JAMA package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
``

Field Summary

Fields inherited from class visad.Tuple
``

Fields inherited from class visad.DataImpl
``

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`` `JamaSingularValueDecomposition(JamaMatrix matrix)` Construct a new JamaSingularValueDecomposition from a JamaMatrix.
`(package private)` `JamaSingularValueDecomposition(Object sv, boolean copy)`

Method Summary
`double` `cond()`
`JamaMatrix` `getS()`
`double[]` `getSingularValues()`
`Object` `getSVDecomposition()` Return the associated JAMA SVDecomposition object.
`JamaMatrix` `getU()` Get U
`JamaMatrix` `getV()` Get V
`double` `norm2()`
`int` `rank()`

Methods inherited from class visad.Tuple
`__getitem__, __len__, adjustSamplingError, binary, buildTupleType, clone, computeRanges, equals, getComponent, getComponents, getDimension, getLength, getRealComponents, hashCode, isMissing, longString, makeTuple, unary`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, main, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, toString, unary`

Methods inherited from class visad.ThingImpl
`addReference, removeReference`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Constructor Detail

### JamaSingularValueDecomposition

    public JamaSingularValueDecomposition(JamaMatrix matrix)
                                   throws VisADException,
                                          RemoteException,
                                          IllegalAccessException,
                                          InstantiationException,
                                          InvocationTargetException

  Construct a new JamaSingularValueDecomposition from a JamaMatrix.

### JamaSingularValueDecomposition

    JamaSingularValueDecomposition(Object sv,
                                   boolean copy)
                             throws VisADException,
                                    RemoteException,
                                    IllegalAccessException,
                                    InstantiationException,
                                    InvocationTargetException

Method Detail

### getSVDecomposition

    public Object getSVDecomposition()

  Return the associated JAMA SVDecomposition object.

### getU

    public JamaMatrix getU()
                    throws VisADException,
                           RemoteException

  Get U

  Returns:
    U matrix
  Throws:
    `VisADException`
    `RemoteException`

### getV

    public JamaMatrix getV()
                    throws VisADException,
                           RemoteException

  Get V

  Returns:
    V matrix
  Throws:
    `VisADException`
    `RemoteException`

### getS

    public JamaMatrix getS()
                    throws VisADException,
                           RemoteException,
                           IllegalAccessException,
                           InstantiationException,
                           InvocationTargetException

  Throws:
    `VisADException`
    `RemoteException`
    `IllegalAccessException`
    `InstantiationException`
    `InvocationTargetException`

### getSingularValues

    public double[] getSingularValues()
                               throws VisADException,
                                      RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### cond

    public double cond()
                throws VisADException,
                       RemoteException,
                       IllegalAccessException,
                       InstantiationException,
                       InvocationTargetException

  Throws:
    `VisADException`
    `RemoteException`
    `IllegalAccessException`
    `InstantiationException`
    `InvocationTargetException`

### norm2

    public double norm2()
                 throws VisADException,
                        RemoteException,
                        IllegalAccessException,
                        InstantiationException,
                        InvocationTargetException

  Throws:
    `VisADException`
    `RemoteException`
    `IllegalAccessException`
    `InstantiationException`
    `InvocationTargetException`

### rank

    public int rank()
             throws VisADException,
                    RemoteException,
                    IllegalAccessException,
                    InstantiationException,
                    InvocationTargetException

  Throws:
    `VisADException`
    `RemoteException`
    `IllegalAccessException`
    `InstantiationException`
    `InvocationTargetException`